Subject: bug#42434: Shell can't find basic system tools after massive garbage collection

From: Brett Gilio <[email-masked]>
Date: Fri, 24 Jul 2020 18:02:32 -0500

Alexandru-Sergiu Marton <[email-masked]> writes:

> Hi,
>
> I run Guix System on my laptop and I wanted to free some space so I ran
> all the cleaning stuff I could think of:
>
> guix package --delete-generations
> guix gc --delete-generations
> sudo guix system delete-generations
>
> After running them all, I had troubles using some of the most basic
> tools, like ls or rm. Other programs seemed fine (make, gcc, guix) as I
> could compile my builds of dwm and st.
>
> After I ran `guix system reconfigure` and I made sure my profile
> contains all the software I need at the latest version by running `guix
> package -m` on my manifest, everything went back to normal -- I could
> use ls and rm again.
>
> Sadly, I didn't gather more information as I didn't experiment much with
> the broken system because I freaked out and tried to fix it as fast as
> possible.
>
> I don't know what to make of this. Brett Gilio suggested it may have
> been a bad symlink job.
>
> Cheers,
> Sergiu

I haven't investigated this myself, but on more thought it may also have
to do with some outdated environment variables. Did you happen to reboot
your computer or restart your X/Wayland session anytime after deleting
the old generations and running the garbage collector?

Brett Gilio